#!/bin/sh

./deleteOldVersion.sh
retval=$?
if [ $retval == 1 ]; then
  exit
fi

nextStep=1
step1status=0
##Step 1 : Install libstdc++34-3.4.0-1
rpm -i --test libstdc++34-3.4.0-1.i386.rpm 2>|warning.txt
status=$?
if [ $status = 0 ]; then
  echo "Installing libstdc++34-3.4.0-1"
  rpm -ivh libstdc++34-3.4.0-1.i386.rpm
else
  step1status=1
  linecount=`rpm -qa | grep libstdc++34-3.4.0-1 | wc -l`
  if [ $linecount = 0 ]; then
    nextStep=0
    if [ -f "/usr/lib/libstdc++.so.6" ]; then
         nextStep=1
    fi
  fi
fi

if [ $nextStep = 0 ]; then
  echo "RPM Installation Failed"
  exit 1
fi

\rm -f warning.txt

##Step 2 : Install MegaRAID Storage Manager 2.62-00

rpm -i --test MegaRAID_Storage_Manager-2.62-00.noarch.rpm
status=$?
if [ $status = 0 ]; then
  echo "Installing  MegaRAID_Storage_Manager-2.62-00"
  rpm -ivh MegaRAID_Storage_Manager-2.62-00.noarch.rpm
else
  echo "RPM Installation Failed"
  if [ $step1status = 0 ]; then
     echo "Rollback on libstdc++34-3.4.0-1 installation"
     rpm -e libstdc++34-3.4.0-1
  fi
  exit 1
fi


if [ "$setuptype" = "" ]; then
	setuptype="a"
fi
if [ "$removesnmp" = "" ]; then
	removesnmp=0
fi
#Step 3: Install SAS SNMP
step3status=0
if [ "$setuptype" != "c" ]; then
  if [ $removesnmp = 0 ]; then
	rpm -i --test sas_snmp-3.14-0007.i386.rpm
	status=$?
	if [ $status = 0 ]; then
		echo "Installing sas_snmp-3.14-0007"
		rpm -ivh sas_snmp-3.14-0007.i386.rpm
	else
		step3status=1
		echo "SAS SNMP installation failed"
	fi
  else
	step3status=1
  fi
else
  step3status=1
fi

##Step 4: Install SAS-IR SNMP
step4status=0
if [ "$setuptype" != "c" ]; then
  if [ $removesnmp = 0 ]; then
	rpm -i --test sas_ir_snmp-3.14-0003.i386.rpm
	status=$?
	if [ $status = 0 ]; then
		echo "Installing sas_ir_snmp-3.14-0003"
		rpm -ivh sas_ir_snmp-3.14-0003.i386.rpm
	else
		step4status=1
		echo "SAS-IR SNMP installation failed"
	fi
  else
	step4status=1
  fi
else
  step4status=1
fi


uninst="/usr/local/MegaRAID Storage Manager/.__uninst.sh"
if [ $step4status = 0 ]; then
	echo "echo \"Uninstalling sas_ir_snmp-3.14-0003\"" >> $uninst
	echo "rpm -e sas_ir_snmp-3.14-0003" >> $uninst
fi
if [ $step3status = 0 ]; then
	echo "echo \"Uninstalling sas_snmp-3.14-0007\"" >> $uninst
	echo "rpm -e sas_snmp-3.14-0007" >> $uninst
fi
echo "echo \"Uninstalling MegaRAID_Storage_Manager-2.62-00\" " >> $uninst
echo "rpm -e MegaRAID_Storage_Manager-2.62-00" >> $uninst
echo "status=\$?" >>$uninst
echo "if [ \$status -ne 0 ]; then" >> $uninst
echo "     exit 1" >> $uninst
echo "fi" >> $uninst
if [ $step1status = 0 ]; then
  echo "echo \"Uninstalling libstdc++34-3.4.0-1\" " >> $uninst
  echo "rpm -e libstdc++34-3.4.0-1" >> $uninst
fi
echo "echo \"Done.\" " >>$uninst
chmod +x "$uninst"
